Files with a sample rate less than 33kHz don't play

June 30, 2012 15:12 - Alister Hood

Status: Rejected Start date: June 30, 2012

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.3   

Description

Files with a sample rate less than 33kHz give me the error message "snd_pcm_hw_params failed: Invalid argument".

These files play successfully in other software.

e.g. the attached 22k.mp3 and 32k.wav don't play, but 33k.wav and 44k.mp3 do play.

History

#1 - June 30, 2012 15:14 - Alister Hood

FWIW I'm running Arch Linux.

#2 - June 30, 2012 16:32 - John Lindgren

- Status changed from New to Rejected

Not a bug.  This error message means your sound card doesn't support such rates.  Other software is probably resampling the files.  You can make

Audacious do the same by using the sample rate converter plugin.

#3 - June 30, 2012 18:19 - Alister Hood

Ah, thanks.

It's not exactly obvious for the average user...

#4 - July 01, 2012 17:35 - John Lindgren

We report the error exactly as it comes from ALSA (more specifically, snd_strerror()).  If you are confused by ALSA error messages, you can do what

many Linux users do and ask on some forum (ours even), "What does error message XXX mean, and how do I fix it?"

#5 - July 01, 2012 17:36 - John Lindgren

Also, I don't know what you have done to your ALSA setup, but the average user (even on Arch Linux) will not run into such errors because for most

sound cards, DMix is enabled by default and handles the necessary resampling.

#6 - July 01, 2012 17:53 - Alister Hood

John Lindgren wrote:

We report the error exactly as it comes from ALSA (more specifically, snd_strerror()).  If you are confused by ALSA error messages, you can do

what many Linux users do and ask on some forum (ours even), "What does error message XXX mean, and how do I fix it?"

 

Yes, I should really have done that, sorry.

At least now if someone googles this error they can find it here.
#7 - October 10, 2012 14:06 - Alister Hood

I don't know what you have done to your ALSA setup

 

It was caused by "defaults.pcm.dmix.rate 44100" in a config file.

Files

22k.mp3 287 KB June 30, 2012 Alister Hood

32k.wav 1.12 MB June 30, 2012 Alister Hood

33k.wav 1.15 MB June 30, 2012 Alister Hood

44k.mp3 287 KB June 30, 2012 Alister Hood

Powered by TCPDF (www.tcpdf.org)

July 04, 2025 2/2

http://www.tcpdf.org

